org.codehaus.groovy.tools

## Class Utilities

- java.lang.Object
- - org.codehaus.groovy.tools.Utilities

-     public abstract class Utilities
      extends java.lang.Object

  Various utility functions for use in the compiler.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Utilities()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.String` | `eol()` Returns the end-of-line marker.
    `static boolean` | `isJavaIdentifier(java.lang.String name)` Tells if the given string is a valid Java identifier.
    `static java.lang.String` | `repeatString(java.lang.String pattern, int repeats)` Returns a string made up of repetitions of the specified string.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Utilities

          public Utilities()

  - ### Method Detail

    - #### repeatString

          public static java.lang.String repeatString(java.lang.String pattern,
                                      int repeats)

      Returns a string made up of repetitions of the specified string.

    - #### eol

          public static java.lang.String eol()

      Returns the end-of-line marker.

    - #### isJavaIdentifier

          public static boolean isJavaIdentifier(java.lang.String name)

      Tells if the given string is a valid Java identifier.